summaryrefslogtreecommitdiff
path: root/tests/tail-2/assert-2
diff options
context:
space:
mode:
Diffstat (limited to 'tests/tail-2/assert-2')
-rwxr-xr-xtests/tail-2/assert-24
1 files changed, 2 insertions, 2 deletions
diff --git a/tests/tail-2/assert-2 b/tests/tail-2/assert-2
index 10f3f1961..cf9e2629c 100755
--- a/tests/tail-2/assert-2
+++ b/tests/tail-2/assert-2
@@ -3,7 +3,7 @@
# Due to a race condition in the test, the `assert' script would get
# the UMR on Solaris only some of the time, and not at all on Linux/GNU.
-# Copyright (C) 2000 Free Software Foundation, Inc.
+# Copyright (C) 2000, 2006 Free Software Foundation, Inc.
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
@@ -27,7 +27,7 @@ fi
tmp=tail-as2.$$
pwd=`pwd`
-trap "cd $pwd; rm -rf $tmp" 0 1 2 3 15
+trap 'cd "$pwd" && rm -rf $tmp' 0 1 2 3 15
test_failure=0
mkdir $tmp || test_failure=1